import pygame as pg

pg.init()   # inicijalizujemo biblioteku pygame
pg.display.set_caption("BROD")  # otvaramo prozor
sirina, visina = 600, 300
prozor = pg.display.set_mode((sirina, visina))

brod_slika = pg.image.load("188 brod.png")   # slika broda
(sirina_broda, visina_broda) = (brod_slika.get_width(), brod_slika.get_height()) # dimenzije slike automobila

brod_v = 100                   # brzina broda (broj piksela u sekundi)
brod_x = 0                     # početni položaj - x koordinata
brod_y = visina - visina_broda  # početni položaj - y koordinata
frejmova_u_sekundi = 25        # broj frejmova u jednoj sekundi
dt = 1 / frejmova_u_sekundi    # vreme koje protekne između dva frejma

def crtaj():
    prozor.fill(pg.Color("white"))            # bojimo pozadinu u belo
    prozor.blit(brod_slika, (brod_x, brod_y))   # prikazujemo sliku broda

def novi_frejm():
    global brod_x               # menjaćemo horizontalni položaj broda
    brod_x += brod_v * dt       # pomeramo brod nadesno
    if brod_x > sirina:         # ako je ispao van prozora
        brod_x = - sirina_broda  #     vraćamo ga na početak

kraj = False
sat = pg.time.Clock()  # sat koji određuje broj frejmova u sekundi
while not kraj:
    # crtamo i ažuriramo sadržaj prozora
    crtaj()
    pg.display.update()

    # proveravamo da li je korisnik isključio prozor
    for dogadjaj in pg.event.get():
        if dogadjaj.type == pg.QUIT:
            kraj = True

    # pauziramo do sledeceg frejma
    sat.tick(frejmova_u_sekundi)
    novi_frejm()

pg.quit() # isključujemo rad biblioteke PyGame
